//
//  ApplicationController.m
//  WebViewControl
//
//  Created by Patrick Geiller on 18/03/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ApplicationController.h"
#import "SampleObject.h"

@implementation ApplicationController


- (id)init
{
	if (![super init])	return nil;
	
	objects = [NSMutableArray array];

	// Add some objects
	[objects addObject:[[SampleObject alloc]init]];

	SampleObject* object2 = [[SampleObject alloc]init];
	object2.orientation = @"portrait";
	object2.angle = 145;
	object2.x = 0.2;
	object2.y = 0.6;
	[objects addObject:object2];

	[objects addObject:[[SampleObject alloc]init]];
	
	return	self;
}

- (void)applicationDidFinishLaunching:(NSNotification *)notification
{
	// Bind array controller's angle to rollControl
	[rollControl bind:@"angle" toObject:arrayController withKeyPath:@"selection.angle" options:nil];

	// Bind orientation
	[orientationControl bind:@"orientation" toObject:arrayController withKeyPath:@"selection.orientation" options:nil];

	// PositionControl has 2 bound properties
	[positionControl bind:@"x" toObject:arrayController withKeyPath:@"selection.x" options:nil];
	[positionControl bind:@"y" toObject:arrayController withKeyPath:@"selection.y" options:nil];
}

@end
